Dev GuideAPI Reference
Dev GuideAPI ReferenceUser GuideNuGetDev CommunityOptimizely AcademySubmit a ticketLog In
API Reference

Delete recipients from a recipient list

Delete multiple recipients from a recipient list. Note: All recipients are deleted if neither "recipientIds" nor "removalType" is specified.

Path Params
int64
required

Client ID

int64
required

Recipient list ID

Query Params
recipientIds
array of strings

Comma-separated list of recipient IDs. Cannot be combined with 'removalType' parameter.

recipientIds
string
enum

Specifies the recipients to be removed. Cannot be combined with 'recipientIds' parameter.

Allowed:
string
enum

Filter recipients for a given type (can only be used with 'removalType' parameter)

Allowed:
Responses
204

The deletion was initiated successfully.

400

The parameters "recipientIds" and "removalType" were added simultaneously. Provide either "recipientIds" or "removalType" parameter.

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here!